<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='URI:Scheme:CurrentDoc' id=''>
  <import-decl name='TextRider' id='TextRider' export='no' module='TextRider'/>
  <import-decl name='Object' id='Object' export='no' module='Object'/>
  <import-decl name='URI' id='URI' export='no' module='URI'/>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <class name='CurrentDoc'>
    <type-decl name='CurrentDoc' id='CurrentDoc' export='yes'>
      <type>
        <pointer>
          <pointer-base>
            <type-name name='CurrentDocDesc' href='#CurrentDocDesc'/>
          </pointer-base>
        </pointer>
      </type>
    </type-decl>
    <type-decl name='CurrentDocDesc' id='CurrentDocDesc' export='no'>
      <type>
        <record/>
      </type>
    </type-decl>
    <procedure name='Init' id='Init' export='yes'>
      <formal-parameters>
        <parameter-decl name='uri' id='Init.uri' export='no' variable-parameter='no'>
          <type>
            <type-name name='CurrentDoc' href='#CurrentDoc'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='New' id='New' export='yes'>
      <formal-parameters>
        <result-type>
          <type-name name='CurrentDoc' href='#CurrentDoc'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <procedure name='Clone' id='CurrentDocDesc.Clone' export='yes'>
      <doc-inherited-from module='URI' name='Clone' class='URI' href='URI#URIDesc.Clone'/>
      <oberon-doc>
        <summary>Creates a deep copy of the URI referenced by <oberon-param href='#CurrentDocDesc.Clone.uri'>uri</oberon-param>.</summary>
        <p pad-after='yes' no-indent='yes'>Creates a deep copy of the URI referenced by <oberon-param href='#CurrentDocDesc.Clone.uri'>uri</oberon-param>.  That is, it creates a new instance of <oberon-param href='#CurrentDocDesc.Clone.uri'>uri</oberon-param> and calls <oberon-proc href='URI#URIDesc.Copy'>URI.Copy</oberon-proc> on it.</p>
      </oberon-doc>
      <formal-parameters>
        <receiver-decl name='uri' id='CurrentDocDesc.Clone.uri' export='no' variable-parameter='no'>
          <type>
            <type-name name='CurrentDoc' href='#CurrentDoc'/>
          </type>
        </receiver-decl>
        <result-type>
          <type-name module='URI' name='URI' href='URI#URI'/>
        </result-type>
      </formal-parameters>
      <redefined-method module='URI' name='Clone' class='URI' href='URI#URIDesc.Clone'/>
    </procedure>
    <procedure name='Copy' id='CurrentDocDesc.Copy' export='yes'>
      <doc-inherited-from module='URI' name='Copy' class='URI' href='URI#URIDesc.Copy'/>
      <oberon-doc>
        <summary>Copies contents of source <oberon-param href='#CurrentDocDesc.Copy.uri'>uri</oberon-param> to target <oberon-param href='#CurrentDocDesc.Copy.dest'>dest</oberon-param>.</summary>
        <p pad-after='yes' no-indent='yes'>Copies contents of source <oberon-param href='#CurrentDocDesc.Copy.uri'>uri</oberon-param> to target <oberon-param href='#CurrentDocDesc.Copy.dest'>dest</oberon-param>.</p>
        <pre-cond pad-after='yes'>
          <p pad-after='no' no-indent='yes'>The dynamic type of <oberon-param href='#CurrentDocDesc.Copy.dest'>dest</oberon-param> is an extension of the dynamic type of <oberon-param href='#CurrentDocDesc.Copy.uri'>uri</oberon-param>.</p>
        </pre-cond>
      </oberon-doc>
      <formal-parameters>
        <receiver-decl name='uri' id='CurrentDocDesc.Copy.uri' export='no' variable-parameter='no'>
          <type>
            <type-name name='CurrentDoc' href='#CurrentDoc'/>
          </type>
        </receiver-decl>
        <parameter-decl name='dest' id='CurrentDocDesc.Copy.dest' export='no' variable-parameter='no'>
          <type>
            <type-name module='URI' name='URI' href='URI#URI'/>
          </type>
        </parameter-decl>
      </formal-parameters>
      <redefined-method module='URI' name='Copy' class='URI' href='URI#URIDesc.Copy'/>
    </procedure>
    <procedure name='WriteXML' id='CurrentDocDesc.WriteXML' export='yes'>
      <doc-inherited-from module='URI' name='WriteXML' class='URI' href='URI#URIDesc.WriteXML'/>
      <oberon-doc>
        <summary>Writes an XML fragment describing the URI <oberon-param href='#CurrentDocDesc.WriteXML.uri'>uri</oberon-param> to the writer <oberon-param href='#CurrentDocDesc.WriteXML.w'>w</oberon-param>.</summary>
        <p pad-after='yes' no-indent='yes'>Writes an XML fragment describing the URI <oberon-param href='#CurrentDocDesc.WriteXML.uri'>uri</oberon-param> to the writer <oberon-param href='#CurrentDocDesc.WriteXML.w'>w</oberon-param>.</p>
      </oberon-doc>
      <formal-parameters>
        <receiver-decl name='uri' id='CurrentDocDesc.WriteXML.uri' export='no' variable-parameter='no'>
          <type>
            <type-name name='CurrentDoc' href='#CurrentDoc'/>
          </type>
        </receiver-decl>
        <parameter-decl name='w' id='CurrentDocDesc.WriteXML.w' export='no' variable-parameter='no'>
          <type>
            <type-name module='TextRider' name='Writer' href='TextRider#Writer'/>
          </type>
        </parameter-decl>
      </formal-parameters>
      <redefined-method module='URI' name='WriteXML' class='URI' href='URI#URIDesc.WriteXML'/>
    </procedure>
    <procedure name='ToString' id='CurrentDocDesc.ToString' export='yes'>
      <doc-inherited-from module='URI' name='ToString' class='URI' href='URI#URIDesc.ToString'/>
      <oberon-doc>
        <summary>Converts the URI <oberon-param href='#CurrentDocDesc.ToString.uri'>uri</oberon-param> to its string representation.</summary>
        <p pad-after='yes' no-indent='yes'>Converts the URI <oberon-param href='#CurrentDocDesc.ToString.uri'>uri</oberon-param> to its string representation.  Reserved characters in the URI and characters that may not appear in a valid URI are escaped where necessary.</p>
      </oberon-doc>
      <formal-parameters>
        <receiver-decl name='uri' id='CurrentDocDesc.ToString.uri' export='no' variable-parameter='no'>
          <type>
            <type-name name='CurrentDoc' href='#CurrentDoc'/>
          </type>
        </receiver-decl>
        <result-type>
          <type-name module='Object' name='String8' href='Object#String8'/>
        </result-type>
      </formal-parameters>
      <redefined-method module='URI' name='ToString' class='URI' href='URI#URIDesc.ToString'/>
      <redefined-method module='Object' name='ToString' class='Object' href='Object#ObjectDesc.ToString'/>
    </procedure>
    <base-class module='URI' class='URI' href='URI#URI'>
      <inherited-method module='URI' name='AppendScheme' class='URI' href='URI#URIDesc.AppendScheme'/>
      <inherited-method module='URI' name='Clone' class='URI' href='URI#URIDesc.Clone'/>
      <inherited-method module='URI' name='Copy' class='URI' href='URI#URIDesc.Copy'/>
      <inherited-method module='URI' name='GetChannel' class='URI' href='URI#URIDesc.GetChannel'/>
      <inherited-method module='URI' name='MakeRelative' class='URI' href='URI#URIDesc.MakeRelative'/>
      <inherited-method module='URI' name='SetSchemeId' class='URI' href='URI#URIDesc.SetSchemeId'/>
      <inherited-method module='URI' name='ToString' class='URI' href='URI#URIDesc.ToString'/>
      <inherited-method module='URI' name='WriteXML' class='URI' href='URI#URIDesc.WriteXML'/>
      <inherited-field module='URI' name='schemeId' class='URI' href='URI#URIDesc.schemeId'/>
      <base-class module='Object' class='Object' href='Object#Object'>
        <inherited-method module='Object' name='Equals' class='Object' href='Object#ObjectDesc.Equals'/>
        <inherited-method module='Object' name='HashCode' class='Object' href='Object#ObjectDesc.HashCode'/>
      </base-class>
    </base-class>
  </class>
  <module-ref name='URI'>
    <ref-target type='html' relative-uri='../../URI.html'/>
  </module-ref>
  <module-ref name='TextRider'>
    <ref-target type='html' relative-uri='../../TextRider.html'/>
  </module-ref>
  <module-ref name='Object'>
    <ref-target type='html' relative-uri='../../Object.html'/>
  </module-ref>
</interface-description>
